Bug 962553 - [abrt] fpaste-0.3.7.1-8.fc18: fpaste:414:main:TypeError: 'bool' object is not iterable
[abrt] fpaste-0.3.7.1-8.fc18: fpaste:414:main:TypeError: 'bool' object is not...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fpaste (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
abrt_hash:c73ba326a629b4339925f11ee62...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 16:51 EDT by Alexei Panov
Modified: 2014-01-28 22:09 EST (History)
11 users (show)

See Also:
Fixed In Version: fpaste-0.3.7.1-11.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 21:22:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.53 KB, text/plain)
2013-05-13 16:51 EDT, Alexei Panov
no flags Details
File: core_backtrace (144 bytes, text/plain)
2013-05-13 16:52 EDT, Alexei Panov
no flags Details
File: environ (3.60 KB, text/plain)
2013-05-13 16:52 EDT, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2013-05-13 16:51:57 EDT
Description of problem:
I try to run 'fpaste some-python-script.pt'

Version-Release number of selected component:
fpaste-0.3.7.1-8.fc18

Additional info:
cmdline:        python /usr/bin/fpaste automate-index-html-repos.py
executable:     /usr/bin/fpaste
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
Comment 1 Alexei Panov 2013-05-13 16:51:59 EDT
Created attachment 747440 [details]
File: backtrace
Comment 2 Alexei Panov 2013-05-13 16:52:01 EDT
Created attachment 747441 [details]
File: core_backtrace
Comment 3 Alexei Panov 2013-05-13 16:52:03 EDT
Created attachment 747442 [details]
File: environ
Comment 4 Ankur Sinha (FranciscoD) 2013-05-14 02:08:52 EDT
Hi Alexei,

Thank you for your bug report. I can't seem to reproduce this. Can you? I just pasted a python file and it worked fine.

Thanks,
Ankur
Comment 5 Alexei Panov 2013-05-14 03:23:57 EDT
Hi Ankur.
No. I can not reproduce the bug.
I have tried several times, different scripts.
Comment 6 Ankur Sinha (FranciscoD) 2013-05-14 03:53:49 EDT
Hi Alexei,

I'm closing it for the time being. Hopefully it was a one time thing. Please file another if it happens again :)

Thanks again,
Warm regards,
Ankur
Comment 7 Dan Mashal 2013-05-27 16:31:37 EDT
Got this when running " qemu-kvm -device ? |fpaste"

No text to send.
Traceback (most recent call last):
  File "/usr/bin/fpaste", line 447, in <module>
    main()
  File "/usr/bin/fpaste", line 414, in main
    [url, short_url] = paste(text, options)
TypeError: 'bool' object is not iterable
Comment 8 Athmane Madjoudj 2013-05-27 17:25:28 EDT
Hi Ankur,

The issue reported by Dan is 100% reproducible, I thought it was the content of the paste that creates the issue (unparseable json), but it's not, it seems to happen only when you do redirects:

]$ qemu-kvm -device ? 2> f.txt
]$ ./fpaste f.txt 
Uploading (5.7KiB)...
http://ur1.ca/e2e7t -> http://paste.fedoraproject.org/14847/13696896
Comment 9 Athmane Madjoudj 2013-05-27 17:29:45 EDT
The issue seems to be related to the fact that 'qemu-kvm -device ?' outputs to stderr, because the following command works correctly:

]$ qemu-kvm -device ? 2>&1 | fpaste
Uploading (5.7KiB)...
http://ur1.ca/e2eae -> http://paste.fedoraproject.org/14848/36969007
Comment 10 Ankur Sinha (FranciscoD) 2013-05-27 19:52:17 EDT
Yep. I found this too. Ideally fpaste should just exit with "No text to send". Not sure why it crashes. We'll need to look into this.
Comment 11 Alexander Wigen 2013-07-07 22:06:16 EDT
If you do not have a network connection you will also hit this TypeError exception:

fpaste --sysinfo
Gathering system info..........................Uploading (15.1KiB)...
Error Uploading: [Errno -2] Name or service not known
Traceback (most recent call last):
  File "/usr/bin/fpaste", line 447, in <module>
    main()
  File "/usr/bin/fpaste", line 414, in main
    [url, short_url] = paste(text, options)
TypeError: 'bool' object is not iterable
Comment 12 Andre Robatino 2013-07-16 02:42:24 EDT
I got this in F19 x86_64 when attempting to fpaste a 0-byte file.

[andre@compaq-pc tmp]$ fpaste ks.cfg 
No text to send.
Traceback (most recent call last):
  File "/usr/bin/fpaste", line 447, in <module>
    main()
  File "/usr/bin/fpaste", line 414, in main
    [url, short_url] = paste(text, options)
TypeError: 'bool' object is not iterable
[andre@compaq-pc tmp]$
Comment 13 Germano Massullo 2013-07-25 04:09:37 EDT
If you need more use cases, I can reproduce it
Comment 14 Miro Hrončok 2013-11-19 12:03:42 EST
$ fpaste -i
WARNING: your paste looks a lot like binary data instead of text.
Send binary data anyway? [y/N]: n
Traceback (most recent call last):
  File "/usr/bin/fpaste", line 447, in <module>
    main()
  File "/usr/bin/fpaste", line 414, in main
    [url, short_url] = paste(text, options)
TypeError: 'bool' object is not iterable
Comment 15 Andrea Barghigiani 2013-12-20 19:46:46 EST
I ran into this error when I was trying to solve some audio problems. I run:

$ alsactl init | fpaste
Found hardware: "HDA-Intel" "Realtek ALC883" "HDA:10ec0883,1043829f,00100002" "0x1043" "0x829f"
Hardware is initialized using a generic method
No text to send.
Traceback (most recent call last):
  File "/usr/bin/fpaste", line 447, in <module>
    main()
  File "/usr/bin/fpaste", line 414, in main
    [url, short_url] = paste(text, options)
TypeError: 'bool' object is not iterable
Comment 16 Fedora End Of Life 2013-12-21 10:31:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora Update System 2014-01-23 02:05:01 EST
fpaste-0.3.7.1-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc20
Comment 18 Fedora Update System 2014-01-23 02:05:49 EST
fpaste-0.3.7.1-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-10.fc19
Comment 19 Fedora Update System 2014-01-24 02:46:27 EST
Package fpaste-0.3.7.1-11.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-11.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1440/fpaste-0.3.7.1-11.fc19
then log in and leave karma (feedback).
Comment 20 Alexei Panov 2014-01-24 03:06:44 EST
Works for me. Thanks.
I've leave karma.
Comment 21 Fedora Update System 2014-01-24 21:22:48 EST
fpaste-0.3.7.1-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2014-01-28 22:09:25 EST
fpaste-0.3.7.1-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.